#ifndef SCALEHELPER_H
#define SCALEHELPER_H

#include <QObject>
#include "kscreen_export.h"
#include "types.h"
#include <QGSettings>

namespace KScreen {

class ScaleHelperPrivate;

class KSCREEN_EXPORT ScaleHelper : public QObject
{
    Q_OBJECT

public:
    ~ScaleHelper();
    qreal changeScale(qreal uccScale,ConfigPtr config);
    qreal getUccScale(qreal kscreenScale);
    bool checkNeedLogout(qreal uccScale,ConfigPtr config);
    bool checkCurrentScaleByDevicePixelRatio();
    explicit ScaleHelper(QObject *parent = nullptr);
    void insertMiddlePosMap(int outputId,QPoint middlePos);
    QPoint getMiddlePosFromMap(int outputId);
protected:
    ScaleHelperPrivate * const d_ptr;
    //d指针指向ConfigOperationPrivate
    Q_DECLARE_PRIVATE(ScaleHelper)
};
}
#endif // SCALEHELPER_H
